module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "lib/mapboxgl/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 885);
/******/ })
/************************************************************************/
/******/ ({

/***/ 421:
/***/ (function(module, exports) {

module.exports = require("@supermap/vue-iclient-mapboxgl/lib/_types/event/Util.js");

/***/ }),

/***/ 885:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Events = void 0;

var _Pixel = __webpack_require__(886);

var _Event = __webpack_require__(887);

var _BaseTypes = __webpack_require__(888);

var _Util = __webpack_require__(421);

/* Copyright© 2000 - 2022 SuperMap Software Co.Ltd. All rights reserved.
 * This program are made available under the terms of the Apache License, Version 2.0
 * which accompanies this distribution and is available at http://www.apache.org/licenses/LICENSE-2.0.html. */

/**
 * @class Events
 * @classdesc 事件类。
 * @param {Object} object - 当前事件对象被添加到的 JS 对象。
 * @param {HTMLElement} element - 响应浏览器事件的 DOM 元素。
 * @param {Array.<string>} eventTypes - 自定义应用事件的数组。
 * @param {boolean} [fallThrough=false] - 是否允许事件处理之后向上传递（冒泡），为 false 的时候阻止事件冒泡。
 * @param {Object} options - 事件对象选项。
 */
var Events = /*#__PURE__*/function () {
  function Events(object, element, eventTypes, fallThrough, options) {
    /**
     * @member {Array.<string>} Events.prototype.BROWSER_EVENTS
     * @description 支持的事件。
     * @constant
     * @default [
     "mouseover", "mouseout","mousedown", "mouseup", "mousemove",
     "click", "dblclick", "rightclick", "dblrightclick","resize",
     "focus", "blur","touchstart", "touchmove", "touchend","keydown",
     "MSPointerDown", "MSPointerUp", "pointerdown", "pointerup",
     "MSGestureStart", "MSGestureChange", "MSGestureEnd","contextmenu"
     ]
     */
    this.BROWSER_EVENTS = ['mouseover', 'mouseout', 'mousedown', 'mouseup', 'mousemove', 'click', 'dblclick', 'rightclick', 'dblrightclick', 'resize', 'focus', 'blur', 'touchstart', 'touchmove', 'touchend', 'keydown', 'MSPointerDown', 'MSPointerUp', 'pointerdown', 'pointerup', 'MSGestureStart', 'MSGestureChange', 'MSGestureEnd', 'contextmenu'];
    this.listeners = {};
    this.object = object;
    this.element = null;
    this.eventTypes = [];
    this.eventHandler = null;
    this.fallThrough = fallThrough;
    this.includeXY = false;
    this.extensions = {};
    this.extensionCount = {};
    this.clearMouseListener = null;

    _Util.Util.extend(this, options);

    if (eventTypes != null) {
      for (var i = 0, len = eventTypes.length; i < len; i++) {
        this.addEventType(eventTypes[i]);
      }
    }

    if (element != null) {
      this.attachToElement(element);
    }

    this.CLASS_NAME = 'Events';
  }
  /**
   * @function Events.prototype.destroy
   * @description 移除当前要素 element 上的所有事件监听和处理。
   */


  var _proto = Events.prototype;

  _proto.destroy = function destroy() {
    for (var e in this.extensions) {
      if (typeof this.extensions[e] !== 'boolean') {
        this.extensions[e].destroy();
      }
    }

    this.extensions = null;

    if (this.element) {
      _Event.Event.stopObservingElement(this.element);

      if (this.element.hasScrollEvent) {
        _Event.Event.stopObserving(window, 'scroll', this.clearMouseListener);
      }
    }

    this.element = null;
    this.listeners = null;
    this.object = null;
    this.eventTypes = null;
    this.fallThrough = null;
    this.eventHandler = null;
  }
  /**
   * @function Events.prototype.addEventType
   * @description 在此事件对象中添加新的事件类型，如果这个事件类型已经添加过了，则不做任何事情。
   * @param {string} eventName - 事件名。
   */
  ;

  _proto.addEventType = function addEventType(eventName) {
    if (!this.listeners[eventName]) {
      this.eventTypes.push(eventName);
      this.listeners[eventName] = [];
    }
  }
  /**
   * @function Events.prototype.attachToElement
   * @description 给 DOM 元素绑定浏览器事件。
   * @param {HTMLDOMElement} element - 绑定浏览器事件的 DOM 元素。
   */
  ;

  _proto.attachToElement = function attachToElement(element) {
    if (this.element) {
      _Event.Event.stopObservingElement(this.element);
    } else {
      // keep a bound copy of handleBrowserEvent() so that we can
      // pass the same function to both Event.observe() and .stopObserving()
      this.eventHandler = _BaseTypes.FunctionExt.bindAsEventListener(this.handleBrowserEvent, this); // to be used with observe and stopObserving

      this.clearMouseListener = _BaseTypes.FunctionExt.bind(this.clearMouseCache, this);
    }

    this.element = element;

    for (var i = 0, len = this.BROWSER_EVENTS.length; i < len; i++) {
      var eventType = this.BROWSER_EVENTS[i]; // every browser event has a corresponding application event
      // (whether it's listened for or not).

      this.addEventType(eventType); // use Prototype to register the event cross-browser

      _Event.Event.observe(element, eventType, this.eventHandler);
    } // disable dragstart in IE so that mousedown/move/up works normally


    _Event.Event.observe(element, 'dragstart', _Event.Event.stop);
  };

  _proto.on = function on(object) {
    for (var type in object) {
      if (type !== 'scope' && Object.prototype.hasOwnProperty.call(object, type)) {
        this.register(type, object.scope, object[type]);
      }
    }
  };

  _proto.register = function register(type, obj, func, priority) {
    if (type in Events && !this.extensions[type]) {
      this.extensions[type] = new Events[type](this);
    }

    if (func != null && _Util.Util.indexOf(this.eventTypes, type) !== -1) {
      if (obj == null) {
        obj = this.object;
      }

      var listeners = this.listeners[type];

      if (!listeners) {
        listeners = [];
        this.listeners[type] = listeners;
        this.extensionCount[type] = 0;
      }

      var listener = {
        obj: obj,
        func: func
      };

      if (priority) {
        listeners.splice(this.extensionCount[type], 0, listener);

        if (typeof priority === 'object' && priority.extension) {
          this.extensionCount[type]++;
        }
      } else {
        listeners.push(listener);
      }
    }
  };

  _proto.registerPriority = function registerPriority(type, obj, func) {
    this.register(type, obj, func, true);
  };

  _proto.un = function un(object) {
    for (var type in object) {
      if (type !== 'scope' && Object.prototype.hasOwnProperty.call(object, type)) {
        this.unregister(type, object.scope, object[type]);
      }
    }
  };

  _proto.unregister = function unregister(type, obj, func) {
    if (obj == null) {
      obj = this.object;
    }

    var listeners = this.listeners[type];

    if (listeners != null) {
      for (var i = 0, len = listeners.length; i < len; i++) {
        if (listeners[i].obj === obj && listeners[i].func === func) {
          listeners.splice(i, 1);
          break;
        }
      }
    }
  }
  /**
   * @function Events.prototype.remove
   * @description 删除某个事件类型的所有监听，如果该事件类型没有注册，则不做任何操作。
   * @param {string} type - 事件类型。
   */
  ;

  _proto.remove = function remove(type) {
    if (this.listeners[type] != null) {
      this.listeners[type] = [];
    }
  };

  _proto.triggerEvent = function triggerEvent(type, evt) {
    var listeners = this.listeners[type]; // fast path

    if (!listeners || listeners.length === 0) {
      return undefined;
    } // prep evt object with object & div references


    if (evt == null) {
      evt = {};
    }

    evt.object = this.object;
    evt.element = this.element;

    if (!evt.type) {
      evt.type = type;
    } // execute all callbacks registered for specified type
    // get a clone of the listeners array to
    // allow for splicing during callbacks


    listeners = listeners.slice();
    var continueChain;

    for (var i = 0, len = listeners.length; i < len; i++) {
      var callback = listeners[i]; // bind the context to callback.obj

      continueChain = callback.func.apply(callback.obj, [evt]);

      if (continueChain !== undefined && continueChain === false) {
        // if callback returns false, execute no more callbacks.
        break;
      }
    } // don't fall through to other DOM elements


    if (!this.fallThrough) {
      _Event.Event.stop(evt, true);
    }

    return continueChain;
  };

  _proto.handleBrowserEvent = function handleBrowserEvent(evt) {
    var type = evt.type;
    var listeners = this.listeners[type];

    if (!listeners || listeners.length === 0) {
      // noone's listening, bail out
      return;
    } // add clientX & clientY to all events - corresponds to average x, y


    var touches = evt.touches;

    if (touches && touches[0]) {
      var x = 0;
      var y = 0;
      var num = touches.length;
      var touch;

      for (var i = 0; i < num; ++i) {
        touch = touches[i];
        x += touch.clientX;
        y += touch.clientY;
      }

      evt.clientX = x / num;
      evt.clientY = y / num;
    }

    if (this.includeXY) {
      evt.xy = this.getMousePosition(evt);
    }

    this.triggerEvent(type, evt);
  }
  /**
   * @function Events.prototype.clearMouseCache
   * @description 清除鼠标缓存。
   */
  ;

  _proto.clearMouseCache = function clearMouseCache() {
    this.element.scrolls = null;
    this.element.lefttop = null;
    var body = document.body;

    if (body && !((body.scrollTop !== 0 || body.scrollLeft !== 0) && navigator.userAgent.match(/iPhone/i))) {
      this.element.offsets = null;
    }
  }
  /**
   * @function Events.prototype.getMousePosition
   * @returns {Pixel} 当前的鼠标的 xy 坐标点。
   */
  ;

  _proto.getMousePosition = function getMousePosition(evt) {
    if (!this.includeXY) {
      this.clearMouseCache();
    } else if (!this.element.hasScrollEvent) {
      _Event.Event.observe(window, 'scroll', this.clearMouseListener);

      this.element.hasScrollEvent = true;
    }

    if (!this.element.scrolls) {
      var viewportElement = _Util.Util.getViewportElement();

      this.element.scrolls = [viewportElement.scrollLeft, viewportElement.scrollTop];
    }

    if (!this.element.lefttop) {
      this.element.lefttop = [document.documentElement.clientLeft || 0, document.documentElement.clientTop || 0];
    }

    if (!this.element.offsets) {
      this.element.offsets = _Util.Util.pagePosition(this.element);
    }

    return new _Pixel.Pixel(evt.clientX + this.element.scrolls[0] - this.element.offsets[0] - this.element.lefttop[0], evt.clientY + this.element.scrolls[1] - this.element.offsets[1] - this.element.lefttop[1]);
  };

  return Events;
}();

exports.Events = Events;
Events.prototype.BROWSER_EVENTS = ['mouseover', 'mouseout', 'mousedown', 'mouseup', 'mousemove', 'click', 'dblclick', 'rightclick', 'dblrightclick', 'resize', 'focus', 'blur', 'touchstart', 'touchmove', 'touchend', 'keydown', 'MSPointerDown', 'MSPointerUp', 'pointerdown', 'pointerup', 'MSGestureStart', 'MSGestureChange', 'MSGestureEnd', 'contextmenu'];

/***/ }),

/***/ 886:
/***/ (function(module, exports) {

module.exports = require("@supermap/vue-iclient-mapboxgl/lib/_types/event/Pixel.js");

/***/ }),

/***/ 887:
/***/ (function(module, exports) {

module.exports = require("@supermap/vue-iclient-mapboxgl/lib/_types/event/Event.js");

/***/ }),

/***/ 888:
/***/ (function(module, exports) {

module.exports = require("@supermap/vue-iclient-mapboxgl/lib/_types/event/BaseTypes.js");

/***/ })

/******/ });